Package org.stianloader.micromixin.transform.internal.util

## Class DescString

- java.lang.Object
- - org.stianloader.micromixin.transform.internal.util.DescString

    @Internal
    public class DescString
    extends java.lang.Object

Utility for dissecting a method descriptor string.

### Constructor Summary

Constructors
`DescString​(java.lang.String desc)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `hasNext()`
`int` `nextReferenceType()`
`java.lang.String` `nextType()`
`void` `reset()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DescString

    public DescString​(java.lang.String desc)

### Method Detail

#### hasNext

    public boolean hasNext()

#### nextReferenceType

    public int nextReferenceType()

#### nextType

    @NotNull
    public java.lang.String nextType()

#### reset

    public void reset()